##############################################################################
#
# Copyright (c) 2003 - Tue Wennerberg - All Rights Reserved
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
##############################################################################

def decode_time(timestring):
    mylist  = timestring.split(":")
    if len(mylist)==1:
        hours = 0
        minutes = int(mylist[0])
    elif len(mylist)==2:
        hours   = int(mylist[0])
        minutes = int(mylist[1])
    else:
        raise SyntaxError, "Timestring '%s' is malformed"

    return hours*60 + minutes

def encode_time(minutes):
    hours = minutes / 60
    rem   = minutes % 60
    return "%d:%02d" % (hours, rem)
    
